DADA2 return-code-9 Error

dada2
(TU JIAJIE) #1

Thank you so [email protected]_Estaki. It is very useful.
And now I go into demultiplexed sequences to be filtered and trimmed, de-noiised, merged. But when I apply dada2 plugin I face a problem. Here is my sequence quality score. and my code and error:
qiime dada2 denoise-paired \

–i-demultiplexed-seqs demultiplexed-seqs.qza
–p-trunc-len-f 290
–p-trunc-len-r 260
–p-trim-left-f 10
–p-trim-left-r 10
–o-representative-sequences rep-seqs-dada2.qza
–o-table table-dada2.qza
–p-n-threads 0
–o-denoising-stats stats-dada2.qza
–verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp7padczzf/forward /tmp/tmp7padczzf/reverse /tmp/tmp7padczzf/output.tsv.biom /tmp/tmp7padczzf/track.tsv /tmp/tmp7padczzf/filt_f /tmp/tmp7padczzf/filt_r 290 260 10 10 2.0 2 consensus 1.0 0 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering …
  2. Learning Error Rates
    2a) Forward Reads
    Initializing error rates to maximum possible estimate.
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp7padczzf/forward’, ‘/tmp/tmp7padczzf/reverse’, ‘/tmp/tmp7padczzf/output.tsv.biom’, ‘/tmp/tmp7padczzf/track.tsv’, ‘/tmp/tmp7padczzf/filt_f’, ‘/tmp/tmp7padczzf/filt_r’, ‘290’, ‘260’, ‘10’, ‘10’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “</home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/decorator.py:decorator-gen-442>”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2019.1/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

See above for debug info.

so I guess my parameter to trim and trunc is wrong?

0 Likes

after mutiplexepairedEndBarcodeInsequence import
(Mehrbod Estaki) #2

Hi @chivaleris,
I moved this to a new topic as it was no longer related to your previous inquiry. This makes everyone’s life easier on the forum.

Your truncate/trim parameters look fine to me actually, the error is not related to that at all. If I’m not mistaken that is typically related to memory issues with your machine. A very common error around here so have a look through some of the other posts on the topic to see if the solutions there can help you out.

2 Likes